<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####


include_once("auth.php");


## mysql verbindung aufbauen

db_connect($db_host, $db_user, $db_pass);


# checkboxen prüfen

if (($maxkundenlimit == "1") && ($maxkunden == "-1")){
  $fehlertext = ltext("anaele2_error1");
  db_close();

  include("anbieter_aendern_leistungen.php");

  exit();
}



if (($maxkblimit == "1") && ($maxkb == "-1"))

        {

         $fehlertext = ltext("anaele2_error2");

         db_close();

         include("anbieter_aendern_leistungen.php");

         exit();

        }



if ($maxkblimit == 1)

        {

         $id = db_query("select * from kunden where anbieter = '$anbieter' and maxkb = -1");

         if (db_num_rows($id) > 0)

                {

                 $fehlertext = ltext("anaele2_error3");

                 db_close();

                 include("anbieter_aendern_leistungen.php");

                 exit();

                }

        }



if (($maxpoplimit == "1") && ($maxpop == "-1"))

        {

         $fehlertext = ltext("anaele2_error4");

         db_close();

         include("anbieter_aendern_leistungen.php");

         exit();

        }



if ($maxpoplimit == 1)

        {

         $id = db_query("select * from kunden where anbieter = '$anbieter' and maxpop = -1");

         if (db_num_rows($id) > 0)

                {

                 $fehlertext = ltext("anaele2_error5");

                 db_close();

                 include("anbieter_aendern_leistungen.php");

                 exit();

                }

        }



if (($maxemaillimit == "1") && ($maxemail == "-1"))

        {

         $fehlertext = ltext("anaele2_error6");

         db_close();

         include("anbieter_aendern_leistungen.php");

         exit();

        }



if ($maxemaillimit == 1)

        {

         $id = db_query("select * from kunden where anbieter = '$anbieter' and maxemail = -1");

         if (db_num_rows($id) > 0)

                {

                 $fehlertext = ltext("anaele2_error7");

                 db_close();

                 include("anbieter_aendern_leistungen.php");

                 exit();

                }

        }



if (($maxautoresponderlimit == "1") && ($maxautoresponder == "-1"))

        {

         $fehlertext = ltext("anaele2_error8");

         db_close();

         include("anbieter_aendern_leistungen.php");

         exit();

        }



if ($maxautoresponderlimit == 1)

        {

         $id = db_query("select * from kunden where anbieter = '$anbieter' and maxautoresponder = -1");

         if (db_num_rows($id) > 0)

                {

                 $fehlertext = ltext("anaele2_error9");

                 db_close();

                 include("anbieter_aendern_leistungen.php");

                 exit();

                }

        }

if ( $maxatdomainslimit == 1  && $maxatdomains == -1 )
{
    $fehlertext = ltext("anaele2_error45");
    db_close();
    include("anbieter_aendern_leistungen.php");
    exit();
}

if ( $maxatdomainslimit == 1 )
{
    $id = db_query("select * from kunden where anbieter = '$anbieter' and maxatdomains = -1");
    if ( db_num_rows($id) > 0 )
    {
	$fehlertext = ltext("anaele2_error46");
	db_close();
	include("anbieter_aendern_leistungen.php");
	exit();
    }
}

if (($maxftplimit == "1") && ($maxftp == "-1"))

        {

         $fehlertext = ltext("anaele2_error10");

         db_close();

         include("anbieter_aendern_leistungen.php");

         exit();

        }



if ($maxftplimit == 1)

        {

         $id = db_query("select * from kunden where anbieter = '$anbieter' and maxftp = -1");

         if (db_num_rows($id) > 0)

                {

                 $fehlertext = ltext("anaele2_error11");

                 db_close();

                 include("anbieter_aendern_leistungen.php");

                 exit();

                }

        }



if (($ftp == 0) && ($maxftp != 0))

        {

         $fehlertext = ltext("anaele2_error12");

         db_close();

         include("anbieter_aendern_leistungen.php");

         exit();

        }



if (($maxdomainslimit == "1") && ($maxdomains == "-1"))

        {

         $fehlertext = ltext("anaele2_error13");

         db_close();

         include("anbieter_aendern_leistungen.php");

         exit();

        }



if (($maxsubdomainslimit == "1") && ($maxsubdomains == "-1"))

        {

         $fehlertext = ltext("anaele2_error14");

         db_close();

         include("anbieter_aendern_leistungen.php");

         exit();

        }



if ($maxsubdomainslimit == 1)

        {

         $id = db_query("select * from kunden where anbieter = '$anbieter' and maxsubdomains = -1");

         if (db_num_rows($id) > 0)

                {

                 $fehlertext = ltext("anaele2_error15");

                 db_close();

                 include("anbieter_aendern_leistungen.php");

                 exit();

                }

        }

if ( $maxwildcardslimit == 1 && $maxwildcards == -1 )
{
    $fehlertext = ltext("anaele2_error47");
    db_close();
    include("anbieter_aendern_leistungen.php");
    exit();
}

if ( $maxwildcardslimit == 1 )
{
    $id = db_query( "select * from kunden where anbieter = '$anbieter' and wildcard = -1" );
    if ( db_num_rows($id) > 0 )
    {
	$fehlertext = ltext("anaele2_error48");
	db_close();
	include("anbieter_aendern_leistungen.php");
	exit();
    }
}


if (($maxmysqllimit == "1") && ($maxmysql == "-1"))

        {

         $fehlertext = ltext("anaele2_error16");

         db_close();

         include("anbieter_aendern_leistungen.php");

         exit();

        }



if ($maxmysqllimit == 1)

        {

         $id = db_query("select * from kunden where anbieter = '$anbieter' and maxmysql = -1");

         if (db_num_rows($id) > 0)

                {

                 $fehlertext = ltext("anaele2_error17");

                 db_close();

                 include("anbieter_aendern_leistungen.php");

                 exit();

                }

        }



if (($stdcgi == 1) && ($perl != 1))

        {

         $fehlertext = ltext("anaele2_error18");

         db_close();

         include("anbieter_aendern_leistungen.php");

         exit();

        }



if (($shell == 1) && ($ftp == 0)){
  $fehlertext = ltext("anaele2_error19");

  db_close();

  include("anbieter_aendern_leistungen.php");

  exit();
}
        


if (istleer($maxkundenlimit)) { $maxkundenlimit = 0; }

if (istleer($maxkblimit)) { $maxkblimit = 0; }

if (istleer($maxpoplimit)) { $maxpoplimit = 0; }

if (istleer($maxemaillimit)) { $maxemaillimit = 0; }

if (istleer($maxautoresponderlimit)) { $maxautoresponderlimit = 0; }

if (istleer($maxftplimit)) { $maxftplimit = 0; }

if (istleer($maxdomainslimit)) { $maxdomainslimit = 0; }

if (istleer($maxsubdomainslimit)) { $maxsubdomainslimit = 0; }

if (istleer($maxmysqllimit)) { $maxmysqllimit = 0; }

if (istleer($maxcronjobslimit)) { $maxcronjobslimit = 0; }


if (!$maxmaillistlimit) { $maxmaillistlimit = 0; }

if (!$maxcronjobs) { $maxcronjobs = 0; }

if (!$maxmaillist) { $maxmaillist = 0; }
if (!$maxatdomains) { $maxatdomains = 0; }
if ( !$maxwildcards ) { $maxwildcards = 0; }
# /checkboxen

if (($maxcronjobs < -1) || (!ereg("^(0|-?[1-9][0-9]*)$",$maxcronjobs))){
  $fehlertext = ltext("anaele2_error44");
  db_close();
  include("anbieter_aendern_leistungen.php");
  exit();
}

if (($maxcronjobslimit == "1") && ($maxcronjobs == "-1")){
  $fehlertext = ltext("anaele2_error43");
  db_close();
  include("anbieter_aendern_leistungen.php");
  exit();
}

if (($maxmaillist < -1) || (!ereg("^(0|-?[1-9][0-9]*)$",$maxmaillist)))
{
	$fehlertext = ltext("anan2_error38");
	db_close();
	include("anbieter_aendern_leistungen.php");
	exit();
}
if (($maxmaillistlimit == "1") && ($maxmaillist == "-1"))
{
	$fehlertext = ltext("anan2_error37");
	db_close();
	include("anbieter_aendern_leistungen.php");
	exit();
}




if (($maxkunden > 32000) || ($maxkunden == 0) || ($maxkunden < -1) || (!ereg("^(0|-?[1-9][0-9]*)$",$maxkunden)))

        {

         $fehlertext = ltext("anaele2_error20");

         db_close();

         include("anbieter_aendern_leistungen.php");

         exit();

        }



## muss vor multiplikation mit 1024, fals man z.B. "0.5" angibt ist's nacher ne richtige zahl, bei eingabe nicht

if (!ereg("^(0|-?[1-9][0-9]*)$",$maxkb))

        {

         $fehlertext = ltext("anaele2_error21");

         db_close();

         include("anbieter_aendern_leistungen.php");

         exit();

        }

## /muss...



## MB/GB in KB bei "max. Speicherplatz vom Anbieter" umwandeln

if ($maxkb <> -1)

        {

         $maxkb2 = $maxkb * 1024;

         if ($maxkb_mbgb == 'GB')

                {

                 $maxkb2 = $maxkb2 * 1024;

                }

         } else

         {

          $maxkb2 = $maxkb;

         }

## /MB/GB in KB bei "max. Speicherplatz vom Anbieter" umwandeln



if ((($maxkb2 < 1024) && ($maxkb2 <> -1)) || ($maxkb2 > 2147283647) || ($maxkb2 < -1))

        {

         $fehlertext = ltext("anaele2_error22");

         db_close();

         include("anbieter_aendern_leistungen.php");

         exit();

        }



if (($maxpop > 8388607) || ($maxpop < -1) || (!ereg("^(0|-?[1-9][0-9]*)$",$maxpop)))

        {

         $fehlertext = ltext("anaele2_error23");

         db_close();

         include("anbieter_aendern_leistungen.php");

         exit();

        }



if (($maxemail > 8388607) || ($maxemail < -1) || (!ereg("^(0|-?[1-9][0-9]*)$",$maxemail)))

 {

  $fehlertext = ltext("anaele2_error24");

  db_close();

  include("anbieter_aendern_leistungen.php");

  exit();

 }





if ( $maxwildcards > 0x7FFFFF || $maxwildcards < -1 || ! ereg( "^(0|-?[1-9][0-9]*)$", $maxwildcards ) )
{
    $fehlertext = ltext("anaele2_error49");
    db_close();
    include("anbieter_aendern_leistungen.php");
    exit();
}

if ( $maxatdomains > 0x7FFFFF || $maxatdomains < -1 || ! ereg( "^(0|-?[1-9][0-9]*)$", $maxatdomains ) )
{
    $fehlertext = ltext("anaele2_error50");
    db_close();
    include("anbieter_aendern_leistungen.php");
    exit();
}





# wenn email < pop dann fehler

if ((($maxemail < $maxpop) && ($maxpop > 0) && ($maxemail <> -1)) || (($maxpop == -1) && ($maxemail <> -1)))

 {

  $fehlertext = ltext("anaele2_error25");

  db_close();

  include("anbieter_aendern_leistungen.php");

  exit();

 }

# /wenn email < pop dann fehler





if (($maxautoresponder > 8388607) || ($maxautoresponder < -1) || (!ereg("^(0|-?[1-9][0-9]*)$",$maxautoresponder)))

 {

  $fehlertext = ltext("anaele2_error26");

  db_close();

  include("anbieter_aendern_leistungen.php");

  exit();

 }



# wenn email < autoresponder dann fehler

if ((($maxemail < $maxautoresponder) && ($maxautoresponder > 0) && ($maxemail <> -1)) || (($maxautoresponder == -1) && ($maxemail <> -1)))

 {

  $fehlertext = ltext("anaele2_error27");

  db_close();

  include("anbieter_aendern_leistungen.php");

  exit();

 }

# /wenn email < autoresponder dann fehler





if (($maxftp > 8388607) || ($maxftp < -1) || (!ereg("^(0|-?[1-9][0-9]*)$",$maxftp)))

 {

  $fehlertext = ltext("anaele2_error28");

  db_close();

  include("anbieter_aendern_leistungen.php");

  exit();

 }



if (($maxtransfer < -1) || (!ereg("^(0|-?[1-9][0-9]*)$",$maxtransfer)))

 {

  $fehlertext = ltext("anaele2_error29");

  db_close();

  include("anbieter_aendern_leistungen.php");

  exit();

 }



## MB/GB in KB bei "max. transfer vom Anbieter" umwandeln

if ($maxtransfer <> -1)

        {

         $maxtransfer2 = $maxtransfer * 1024;

         if ($maxtransfer_mbgb == 'GB')

                {

                 $maxtransfer2 = $maxtransfer2 * 1024;

                }

        }

## /MB/GB in KB bei "max. transfer vom Anbieter" umwandeln



if ($maxtransfer2 > 2147283647)

 {

  $fehlertext = ltext("anaele2_error30");

  db_close();

  include("anbieter_aendern_leistungen.php");

  exit();

 }



if ((($maxdomains < $maxkunden) && ($maxdomains <> "-1")) || (($maxkunden == "-1") && ($maxdomains <> "-1")))

 {

  $fehlertext = ltext("anaele2_error31");

  db_close();

  include("anbieter_aendern_leistungen.php");

  exit();

 }



if (($maxdomains > 8388607) || ($maxdomains < -1) || (!ereg("^(0|-?[1-9][0-9]*)$",$maxdomains)))

 {

  $fehlertext = ltext("anaele2_error32");

  db_close();

  include("anbieter_aendern_leistungen.php");

  exit();

 }



if (($maxsubdomains > 8388607) || ($maxsubdomains < -1) || (!ereg("^(0|-?[1-9][0-9]*)$",$maxsubdomains)))

 {

  $fehlertext = ltext("anaele2_error33");

  db_close();

  include("anbieter_aendern_leistungen.php");

  exit();

 }



 if ((($maxwildcards > $maxkunden) && ($maxkunden != -1)) || (($maxwildcards == -1) && ($maxkunden != -1)))

 {

  $fehlertext = ltext("anaele2_error34");

  db_close();

  include("anbieter_aendern_leistungen.php");

  exit();

 }



if (($maxwildcards > $maxsubdomains) && ($maxsubdomains != -1))

 {

  $fehlertext = ltext("anaele2_error35");

  db_close();

  include("anbieter_aendern_leistungen.php");

  exit();

 }



if (($maxmysql > 32000) || ($maxmysql < -1) || (!ereg("^(0|-?[1-9][0-9]*)$",$maxmysql)))

 {

  $fehlertext = ltext("anaele2_error36");

  db_close();

  include("anbieter_aendern_leistungen.php");

  exit();

 }



if (($dbext == 1) && ($maxmysql == 0))

        {

         $fehlertext = ltext("anaele2_error37");

         db_close();

         include("anbieter_aendern_leistungen.php");

         exit();

        }



if (($php == 0) && ($phpupload == 1))

        {

         $fehlertext = ltext("anaele2_error38");

         db_close();

         include("anbieter_aendern_leistungen.php");

         exit();

        }

## Wenn DNR dann muss auch DNS erlaubt sein
if (($dns == 0) && ($dnr == 1))

        {

         $fehlertext = ltext("anaele2_error40");

         db_close();

         include("anbieter_anlegen.php");

         exit();

        }
## /Wenn DNR dann muss auch DNS erlaubt sein



## /Eingabevariablen auf Typengültigkeit überprüfen



## /Daten aus vorherigem Formular überprüfen

###############################################





## nochmal checken, ob leistung vom system aus möglich ist und bei anbieter auf 0 setzen

# Serverfähigkeiten auslesen

$id = db_query("select * from admin");

$serverkann = db_fetch_array($id);


$skpop = $serverkann["pop"];
if ($skpop == 0) { $maxpop = 0; }

$skemail = $serverkann["email"];
if ($skemail == 0) { $maxemail = 0; }

$skautoresponder = $serverkann["autoresponder"];
if ($skautoresponder == 0) { $maxautoresponder = 0; }

$skftp = $serverkann["ftp"];
if ($skftp == 0) { $maxftp = 0; $ftp = 0; }

$sksubdomains = $serverkann["subdomains"];
if ($sksubdomains == 0) { $maxsubdomains = 0; }

$skmysql = $serverkann["mysql"];
if ($skmysql == 0) { $maxmysql = 0; }

$skphp = $serverkann["php"];
if ($skphp == 0) { $php = 0; }

$skperl = $serverkann["perl"];
if ($skperl == 0) { $perl = 0; }

$skmodpython = $serverkann["modpython"];

 if ($skmodpython == 0) { $modpython = 0; };

$skssi = $serverkann["ssi"];
if ($skssi == 0) { $ssi = 0; }

$skssl = $serverkann["cssl"];
if ($skssl == 0) { $ssl = 0; }

$skfrontpage = $serverkann["frontpage"];
if ($skfrontpage == 0) { $frontpage = 0; }

$skshell = $serverkann["shell"];
if ($skshell == 0) { $shell = 0; }

$skscponly = $serverkann["scponly"];
if ($skscponly == 0) { $scponly = 0; }

$skstatistik = $serverkann["statistik"];
if ($skstatistik == 0) { $statistik = 0; }

$skpwschutz = $serverkann["pwschutz"];
if ($skpwschutz == 0) { $pwschutz = 0; }

$skfehlerseiten = $serverkann["fehlerseiten"];
if ($skfehlerseiten == 0) { $fehlerseiten = 0; }

$skwebftp = $serverkann["webftp"];
if ($skwebftp == 0) { $webftp = 0; }

$skwebmail = $serverkann["webmail"];
if ($skwebmail == 0) { $webmail = 0; }

$skstdcgi = $serverkann["stdcgi"];
if ($skstdcgi == 0) { $stdcgi = 0; }

$skphpupload = $serverkann["phpupload"];
if ($skphpupload == 0) { $phpupload = 0; }

$skwap = $serverkann["wap"];
if ($skwap == 0) { $wap = 0; }

$skcoldfusion = $serverkann["coldfusion"];
if($skcoldfusion == 0) { $coldfusion = 0; }
 
$skdirlist = $serverkann["dirlist"];
if ($skdirlist == 0) { $dirlist = 0; }
 
$skspamfilter = $serverkann["spamfilter"];
if($skspamfilter == 0 || $maxpop == 0)  { $spamfilter = 0; }
 
$skcronjobs = $serverkann["cronjobs"];
if($skcronjobs == 0) { $maxcronjobs = 0; }
 
if($serverkann['majordomo'] == 0) { $maxmaillist = 0; }
# /Serverfähigkeiten auslesen

## /nochmal checken, ob leistung vom system aus möglich ist



## MB/GB in KB bei "max. Speicherplatz vom Anbieter" umwandeln

if ($maxkb <> -1) {

$maxkb = $maxkb * 1024;

if ($maxkb_mbgb == 'GB') { $maxkb = $maxkb * 1024; }

}

## /MB/GB in KB bei "max. Speicherplatz vom Anbieter" umwandeln



## MB/GB in KB bei "max. transfer vom Anbieter" umwandeln

if ($maxtransfer <> -1) {

$maxtransfer = $maxtransfer * 1024;

if ($maxtransfer_mbgb == 'GB') { $maxtransfer = $maxtransfer * 1024; }

}

## /MB/GB in KB bei "max. transfer vom Anbieter" umwandeln



$timestamp = time();

if(!$maxwildcardslimit)
  $maxwildcardslimit='0';
if(!$maxatdomainslimit)
  $maxatdomainslimit='0';
if(!$dnr)
  $dnr='0';

## in db speichern

$sql="update anbieter set
maxkunden = '$maxkunden',
maxpop = '$maxpop',
maxkb = '$maxkb',
maxmysql = '$maxmysql',
maxemail = '$maxemail',
maxautoresponder = '$maxautoresponder',
maxftp = '$maxftp',
maxtransfer = '$maxtransfer',
maxdomains = '$maxdomains',
maxsubdomains = '$maxsubdomains',
maxkundenlimit = '$maxkundenlimit',
maxpoplimit = '$maxpoplimit',
maxkblimit = '$maxkblimit',
maxmysqllimit = '$maxmysqllimit',
maxemaillimit = '$maxemaillimit',
maxautoresponderlimit = '$maxautoresponderlimit',
maxftplimit = '$maxftplimit',
maxdomainslimit = '$maxdomainslimit',
maxsubdomainslimit = '$maxsubdomainslimit',
maxwildcards = '$maxwildcards',
maxwildcardslimit = '$maxwildcardslimit',
maxatdomains = '$maxatdomains',
maxatdomainslimit = '$maxatdomainslimit',
php = '$php',
ftp = '$ftp',
perl = '$perl',
modpython = '$modpython',
ssi = '$ssi',
cssl = '$ssl',
shell = '$shell',
scponly = '$scponly',
statistik = '$statistik',
pwschutz = '$pwschutz',
fehlerseiten = '$fehlerseiten',
webftp = '$webftp',
webmail = '$webmail',
stdcgi = '$stdcgi',
frontpage = '$frontpage',
lastchange = '$timestamp',
dbext = '$dbext',
phpupload = '$phpupload',
wap = '$wap',
coldfusion = '$coldfusion',
dirlist = '$dirlist',
dns = '$dns',
dnr = '$dnr',
maxcronjobs = '$maxcronjobs',
maxcronjobslimit = '$maxcronjobslimit',
maxidn = '-1',
maxidnlimit = '0',
maxmaillist = '$maxmaillist',
maxmaillistlimit = '$maxmaillistlimit',
spamfilter = '$spamfilter'
where anbieter = '$anbieter'";

//echo "sql: $sql<br>\n";

db_query($sql);

$fehlertext = ltext("anaele2_error39");

$fehlertitel = ltext("anaele2_errortitle");

db_close();

include("anbieter_aendern.php");



## /in db speichern
